# $Revision: 1.14 $, $Date: 2002/08/18 15:48:06 $
Summary:	UNIX Joystick Wrapper Library and calibrator
Summary(pl):	Biblioteka do obsugi joysticka pod UNIX-em
Name:		libjsw
Version:	1.4.0d
Release:	3
License:	GPL-like
Group:		Libraries
Source0:	ftp://fox.mit.edu/pub/xsw/%{name}%{version}.tgz
Source1:	jscalibrator.desktop
Source2:	jscalibrator.png
BuildRequires:	gtk+-devel
BuildRequires:	gcc-c++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin
%define		_xmandir	/usr/X11R6/man

%description
The UNIX Joystick Driver Wrapper Library and Calibrator (aka libjsw)
provides the programmer with the assistance to easilly code
applications that need to use the joystick driver and a convience to
users by storing the calibration information in a .joystick
calibration file.

%description -l pl
UNIX Joystick Driver Wrapper Library and Calibrator (czyli libjsw)
daje programicie moliwo atwego pisania programw korzystajcych z
joysticka oraz moliwo przechowywania informacji o kalibracji w
pliku .joystick w katalogu domowym uytkownika.

%package devel
Summary:	libjsw development package
Summary(pl):	Pliki dla programistw libjsw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
libjsw development package

%package -n jscalibrator
Summary:	Joystick calibrator
Summary(pl):	Kalibrator joysticka
Group:		Applications/Games
Requires:	%{name} = %{version}

%description -n jscalibrator
Joystick calibrator for use with libjsw.

%description -n jscalibrator -l pl
Kalibrator joysticka do uywania z libjsw.

%prep
%setup -qn %{name}%{version}

%build
cd libjsw
%{__make} CFLAGS="-shared %{rpmcflags}"
ln -sf libjsw.so.*.* libjsw.so
cd ..

cp -f include/jsw.h .
cd jscalibrator
%{__make} CFLAGS="`gtk-config --cflags` %{rpmcflags}" INC="-I.." LIB_DIR="-L../libjsw"
cd ..

%install
rm -rf $RPM_BUILD_ROOT
cd libjsw
%{__make} install \
	JSW_LIB_DIR="$RPM_BUILD_ROOT%{_libdir}" \
	JSW_INC_DIR="$RPM_BUILD_ROOT%{_includedir}" \
	JSW_MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man3"
cd ..

cd jscalibrator
%{__make} install \
	BIN_DIR="$RPM_BUILD_ROOT%{_xbindir}" \
	ICONS_DIR="$RPM_BUILD_ROOT%{_pixmapsdir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_xmandir}/man1"
cd ..
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS LICENSE
%attr(755,root,root) %{_libdir}/libjsw.so.*.*
%attr(755,root,root) %{_libdir}/libjsw.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%{_mandir}/man*/*

%files -n jscalibrator
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/*
%{_xmandir}/man*/*
%{_pixmapsdir}/*.png
%{_applnkdir}/Settings/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libjsw.spec,v $
Revision 1.14  2002/08/18 15:48:06  blues
- removed gzipping docs; STBR again

Revision 1.13  2002/08/18 13:43:18  blues
- release 3 - license fix, new doc

Revision 1.12  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.11  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/02 20:22:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.9  2002/02/01 14:51:39  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.8  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/05/27 17:15:42  kloczek
- changed to png icon.

Revision 1.6  2001/05/03 23:19:01  qboosh
- really release 2

Revision 1.5  2001/05/03 15:52:11  qboosh
- FHS, post/postun, pl translations, changed libjsw group to Libraries
- release 2

Revision 1.4  2001/05/03 15:01:16  jajcus
- desktop file added for calibrator

Revision 1.3  2001/05/03 14:08:18  jajcus
- libjsw.so moved to base package, as it has no proper SONAME

Revision 1.2  2001/05/01 21:07:08  kloczek
- cosmetics.

Revision 1.1  2001/05/01 16:33:42  jajcus
- initial spec
